//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWColorPopupCustomCtrl : public VWControl
		{
		public:
								VWColorPopupCustomCtrl(TControlID id);
			virtual				~VWColorPopupCustomCtrl();

			virtual bool		CreateControl(VWDialog* pDlg);

		// attributes
		public:
			ColorRef			GetSelectedColor() const;
			void				SetSelectedColor(const ColorRef& color);
		};
	}
}